﻿/*  Responsive stylesheet
 *  Core Layout styles
 *  Includes styles for core layout areas (header, footer, etc)
 *	Breaks at:
 *	  > 1000px for desktops
 *	  < 1000px and > 650px for tablets
 *    < 650px for phones
 */
@media screen and (max-width: 1000px) {

	/* header */
	#header .logo {
		top:0;
		left:20px;
	}
	
	/* Modules and positioning */
	.module {
		position: relative;
	}
	.module.single {
		width:33%;
		padding:0 10px;
	}
	.module.double {
		width:66%;
	}
	
		
	/* footer layout */
	#footer .section {
		padding:0 10px;
	}
	#footer .social {
		float:right;
	}

}


@media screen and (max-width: 650px) {

	/* header styles */
	#header {
		padding-bottom: 20px;
	}
	#header .search {
		float:none;
		padding:0 20px;
		margin: 20px 0 40px 0;
	}
	#header .search td.ms-sbcell input[type="text"] {
		width:100% !important;
		padding: 0 0 0 10px;
	}
	#header .search table {
		width:100%;
	}
	
	
	#header .container {
		height: auto;
	}
	#header h1 {
		margin:20px 0 0 0 !important;
		padding-left:72px; /* 20px plus 32px for the menu button plus another 20px spacing */
		padding-right: 20px;
		min-height: 32px;
		
	}
	#header h1 a {
		vertical-align: middle;
		line-height: 32px;
		padding-top:3px;
	}
	#header .logo {
		display: block;
		width:100%;
		left:0;
		position: relative;
	}
	#header .logo img {
		max-width: 100%;
		height: auto;
	}
	
	body #s4-bodyContainer{min-width:10px}
	/* background to create the blue header section utilising existing assets */
	#body-background {
		background-position: left top !important;
	}
	

	/* module block styling */
	.module.float {
		float:none;
		width:100% !important;
		margin-bottom: 30px;
	}
	
	.content-section object{
	width:auto !important;
	height:auto !important;
}


	
	/* footer and footer component styles */
	#footer .col, #footer .social {
		float:none;
		width:100%;
		padding:10px 20px;
	}
	#footer .copyright ul {
		clear: both;
	}
	#footer .copyright li {
		width:49%;
		float: none;
		display: inline-block;
	}
	#footer .social ul {
		float:left;
	}
	#footer .social li {
		margin:0 5px 0 0;
	}
}

@media screen and (max-width: 330px) {
	#footer col, #footer social{
		padding:0;
	} 
	
	#footer .copyright li{
		width:100%;
	}
}
